SFEED_MARKREAD(1)

NAME
sfeed_markread - mark items as read/unread

SYNOPSIS
sfeed_markread read | unread [urlfile]

DESCRIPTION
sfeed_markread reads a plain-text list of URLs from stdin. The file format for the list of URLs is one URL per line. sfeed_markread will write to the file specified as urlfile or with the environment variable SFEED_URL_FILE. The sfeed_markread script can be used by sfeed_curses(1) to mark items as read and unread.

ENVIRONMENT VARIABLES

SFEED_URL_FILE
    This variable can be set to use as the path to the file containing a plain-text list of read URLs.

EXIT STATUS

EXAMPLES
Example:

    export SFEED_URL_FILE="$HOME/.sfeed/urls"
    echo 'https://codemadness.org/sfeed.html' | sfeed_markread read

or pass the urlfile as a parameter:

    echo 'https://codemadness.org/sfeed.html' | sfeed_markread read ~/.sfeed/urls

SEE ALSO
awk(1), sfeed_curses(1)

AUTHORS
Hiltjo Posthuma <hiltjo@codemadness.org>